function Y = uq_Ex02_RubBreakwat_constraint(X)
Hs = X(:,13);
T = X(:,14);
ro_s = 26;
ro_w = 10.35;
KD = 3.5;
Dn = 0.827;
delta = ro_s/ro_w;

Y(:,1) = delta*Dn.*(KD.*cot(X(:,10))).^(1/3) - Hs;

S = (2*pi().*Hs)/9.81./(T.^2);
gamma = 0.5;

Y(:,2) = 0.4 - 9.81.*Hs.*T.*0.013.*exp(-22.*(X(:,5)./Hs)...
    .*sqrt(S./2./pi())./gamma);

end