function Y = uq_Ex02_RubBreakwat_cost(X)
% Definition of Val: Volume of Main Armor Layer

Val = X(:,1).*(X(:,1)./tan(X(:,10)) + X(:,3)./tan(X(:,10))) +...
    (X(:,1)./2).*(2.*X(:,4) - X(:,1)./tan(X(:,10)) - ...
    X(:,1)./tan(X(:,11))) + X(:,1).*X(:,3)./sin(X(:,11));

% Definition of Toe Height
ht = X(:,1)+X(:,2)+X(:,3)-X(:,5)-X(:,6);

% Definition of Vul: Volume of Underlayer
Vul = X(:,2).*(X(:,2)./tan(X(:,10)) + X(:,3)./tan(X(:,10))) + ...
    (X(:,2)./2).*(2.*X(:,4) - 2*X(:,1)./tan(X(:,10)) - ...
    2*X(:,1)./tan(X(:,11)) - X(:,2)./tan(X(:,10)) - X(:,2)./tan(X(:,11))) ...
    + X(:,2).*X(:,3)./sin(X(:,11)) + ht.*(X(:,9) + ht./tan(X(:,12)));

% Definition of Vcl: Volume of Core Layer
Vcl = X(:,7).*(X(:,8) + (X(:,1)+X(:,2))./sin(X(:,11))) +...
    (X(:,3)+X(:,7)).*(X(:,4) - X(:,1)./tan(X(:,10)) -...
    X(:,1)./tan(X(:,11)) - X(:,2)./tan(X(:,10)) - X(:,2)./tan(X(:,11))...
    +0.5*(X(:,3)+X(:,7))./tan(X(:,11))+0.5*(X(:,3)+X(:,7))./tan(X(:,10)));

% y = rho * (wcd .* t * L + wab .* t * 2*L / (3* sin(pi/3)) );
Y = 822*Val + 166*Vul + 131*Vcl;
end